View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000787Ecere SDKcompilerpublic2013-03-20 02:052014-05-19 01:33
ReporterKelet 
Assigned Tojerome 
PriorityimmediateSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000787: Support for C99 Complex number support
DescriptionCurrently, #include <complex.h> does not work. This can be reproduced by the using MinGW included with the all-in-one Windows installer for 0.44 Ryoan-ji. Just make a project and #include <complex.h> at the top.
Additional InformationError: ..\..\..\program files (x86)\ecere sdk\mingw\include\complex.h:50:45: error: syntax error

And so on..

Line 50: double _Complex __MINGW_ATTRIB_CONST conj (double _Complex);
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001167)
jerome (administrator)
2014-02-05 21:45

Fixed by:
https://github.com/ecere/ecere-sdk/commit/d6b10c363a61ab5232e701d3a68f03f47e44568b [^]

- Issue History
Date Modified Username Field Change
2013-03-20 02:05 Kelet New Issue
2013-04-24 03:10 jerome Target Version => 0.44.1 64
2013-04-24 20:19 jerome Priority normal => immediate
2014-02-05 20:54 jerome Assigned To => jerome
2014-02-05 20:54 jerome Status new => assigned
2014-02-05 20:54 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-02-05 21:45 jerome Status assigned => resolved
2014-02-05 21:45 jerome Fixed in Version => 0.44.10 64
2014-02-05 21:45 jerome Resolution open => fixed
2014-02-05 21:45 jerome Note Added: 0001167
2014-05-19 01:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker